System Properties

Using System Properties, you can view and change system properties on a local or remote computer.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to...

  • View system properties
  • Set Performance Options
  • Add or change environment variables
  • Set Startup and Recovery Options


View system properties

Microsoft Windows graphic

To view system properties

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then click Properties.

Notes

  • XOX
  • XOX
  • The General tab shows which version of Windows is installed, the name of the person registered to use this copy of Windows, the type of processor, and the total physical memory of the computer. If the operating system was installed by an original equipment manufacturer (OEM), this tab also displays information about technical support.
  • You can view your computer's network identification by clicking the Computer Name tab.
  • To perform this procedure on a remote computer, right-click Computer Management (Local), click Connect to another computer, select Another computer, and then type in the name of the remote computer. You can then follow the steps in this procedure, starting at step 2, and substituting Computer Management (remote computername) for Computer Management (Local). You must be a member of the Administrators group, or you must have been delegated the appropriate authority, on the computer that you specify for remote computername.

Related Topics


Set performance options

  • Change processor scheduling options
  • Specify memory usage
  • Change virtual memory settings


Change processor scheduling options

Microsoft Windows graphic

To change processor scheduling options

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, under Performance, click Settings.
  4. Under Processor scheduling, select Programs or Background services. Click OK.

Notes

  • XOX
  • XOX
  • To perform this procedure on a remote computer, right-click Computer Management (Local), click Connect to another computer, select Another computer, and then type in the name of the remote computer. You can then follow the steps in this procedure, starting at step 2, and substituting Computer Management (remote computername) for Computer Management (Local). You must be a member of the Administrators group, or you must have been delegated the appropriate authority, on the computer that you specify for remote computername.


Specify memory usage

Microsoft Windows Graphic

To specify memory usage

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then click Properties.
  3. On the Advanced tab, under Performance, click Settings.
  4. Under Memory usage, select Programs or System cache.

Notes

  • XOX
  • XOX
  • To perform this procedure on a remote computer, right-click Computer Management (Local), click Connect to another computer, select Another computer, and then type in the name of the remote computer. You can then follow the steps in this procedure, starting at step 2, and substituting Computer Management (remote computername) for Computer Management (Local). You must be a member of the Administrators group, or you must have been delegated the appropriate authority, on the computer that you specify for remote computername.
  • On all Windows Server 2003 family operating systems, the System cache option is selected by default.
  • You must restart your computer before your changes take effect.


Change virtual memory settings

Microsoft Windows graphic

To change virtual memory settings

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, under Performance, click Settings.
  4. Under Virtual memory, click Change.
  5. In the Drive list, click the drive that contains the paging file you want to change.
  6. Under Paging file size for selected drive, click Custom size, type new paging file sizes in the Initial Size (MB) and Maximum Size (MB) boxes, and then click Set. Click OK.

Notes

  • XOX
  • XOX
  • To perform this procedure on a remote computer, right-click Computer Management (Local), click Connect to another computer, select Another computer, and then type in the name of the remote computer. You can then follow the steps in this procedure, starting at step 2, and substituting Computer Management (remote computername) for Computer Management (Local). You must be a member of the Administrators group, or you must have been delegated the appropriate authority, on the computer that you specify for remote computername.
  • For best performance, set the initial size to not less than the recommended size under Total paging file size for all drives. The recommended size is equivalent to 1.5 times the amount of RAM on your system.
  • Usually, you should leave the paging file at its recommended size, although you might increase its size if you routinely use programs that require a lot of memory.
  • If you decrease the size of the paging file, you must restart your computer to see the effects of those changes.


Add or change environment variables

Microsoft Windows graphic

To add or change environment variables

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then click Properties.
  3. On the Advanced tab, under Environment Variables, click Settings.
  4. Select a user in the User variables for list.
  5. Click the name of the user or system variable you want to change or delete.
    • Click New to add a new variable name and value.
    • Click Edit to change a current variable name and value.
    • Click Delete to remove a variable name and value.

Notes

  • You are not required to have administrative credentials to create, edit or delete variables under User variables for. Therefore, as a security best practice, consider performing this task as a user without administrative credentials. You must be a member of the Administrators group on the local computer in order to create, edit or delete the variables listed under System variables.
  • XOX
  • To perform this procedure on a remote computer, right-click Computer Management (Local), click Connect to another computer, select Another computer, and then type in the name of the remote computer. You can then follow the steps in this procedure, starting at step 2, and substituting Computer Management (remote computername) for Computer Management (Local). You must be a member of the Administrators group, or you must have been delegated the appropriate authority, on the computer that you specify for remote computername.
  • Changes in the registry are saved so they are available automatically the next time you start your computer.
  • Changes do not affect programs that are running and may not take effect until you restart your computer.


Set startup and recovery options

  • Specify the default operating system for startup
  • Specify what happens when the system stops unexpectedly
  • Perform a local or remote shutdown


Specify the default operating system for startup

Microsoft Windows graphic

To specify the default operating system for startup

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, under Startup and Recovery, click Settings.
  4. Under System startup, in the Default operating system list, click the operating system you want to start if you do not select one from the list displayed during startup.
  5. Select Time to display list of operating systems box, and then enter the number of seconds the list should be displayed before the default operating system starts automatically.

Notes

  • XOX
  • XOX
  • To perform this procedure on a remote computer, right-click Computer Management (Local), click Connect to another computer, select Another computer, and then type in the name of the remote computer. You can then follow the steps in this procedure, starting at step 2, and substituting Computer Management (remote computername) for Computer Management (Local). You must be a member of the Administrators group, or you must have been delegated the appropriate authority, on the computer that you specify for remote computername.


Specify what happens when the system stops unexpectedly

Microsoft Windows Graphic

To specify what happens when the system stops unexpectedly

  1. XOX
  2. In the console tree, right-click Computer Management (Local), and then click Properties.
  3. On the Advanced tab, under Startup and recovery, click Settings.
  4. Under System startup, select the Time to display list of operating systems check box, and then type the number of seconds you want the list of recovery options to display before the default recovery option is automatically selected.
  5. Under System failure, select the check boxes that correspond to the actions you want Windows to perform if a Stop error occurs:
    • Write an event to the system log specifies that event information will be recorded in the system log.

      On computers running a Windows Server 2003 family operating system, you cannot disable this feature. Windows always writes event information to the system log.

    • Send an administrative alert specifies that your system administrator will be notified.
    • Automatically restart specifies that Windows will automatically restart your computer.
  6. Under Write debugging information, choose the type of information you want Windows to record when the system stops unexpectedly:

    7. Small memory dump

    Records the smallest amount of information that will help identify the problem. This option requires a paging file of at least 2 MB on the boot volume of your computer. If you choose this option, Windows creates a new file (64 KB in size) each time the system stops unexpectedly. A history of these files is stored in the directory listed under Small dump directory.

    Kernel memory dump

    Records only kernel memory, which stores more information than small memory dump but takes less time to complete than the complete memory dump when the system stops unexpectedly. The file is stored in the directory listed under Dump file. If you choose this option you must have a sufficiently large paging file on the boot volume. The required size depends on the amount of RAM in your computer (although the maximum amount of space that must be available for a kernel memory dump is 2,060 MB). The following table provides guidelines:

    RAM size | Paging file should be no smaller than
256 MB–1,373 MB | 1.5 times the RAM size
1,374 MB or greater | 2,060 MB (maximum amount of data in a kernel memory dump)

    Complete memory dump

    Not available on computers with 2 or more GB of RAM. Records the entire contents of system memory when the system stops unexpectedly. If you choose this option you must have a paging file on the boot volume large enough to hold all of the physical RAM plus one megabyte (MB). The file is stored in the directory listed under Dump file.

Notes

  • XOX
  • XOX
  • To perform this procedure on a remote computer, right-click Computer Management (Local), click Connect to another computer, select Another computer, and then type in the name of the remote computer. You can then follow the steps in this procedure, starting at step 2, and substituting Computer Management (remote computername) for Computer Management (Local). You must be a member of the Administrators group, or you must have been delegated the appropriate authority, on the computer that you specify for remote computername.
  • You must have at least a 2-MB paging file on the computer's boot volume if you select Write an event to the system log or Send an administrative alert.
  • If you choose Kernel memory dump, be sure not to set the paging file smaller than the sizes listed in the procedure, or you might not capture the information you need.
  • If you choose either Kernel memory dump or Complete memory dump and select the Overwrite any existing file check box, Windows always writes to the same file name. To save individual dump files, clear the Overwrite any existing file check box and change the file name after each Stop error.
  • When setting memory dump options, check your settings for the size of the paging file on the boot volume. Set the file size according to the preceding guidelines. For information about how to set the size of the paging file, see Related Topics.

    It is recommended that you use the same value for both the minimum size and the maximum size of the paging file. This prevents the file from constantly growing and shrinking, which in turn prevents unnecessary disk fragmentation.

  • Memory dumps might contain sensitive information, so you should store them in a secure location and limit the number of users who can access them. When you transfer a memory dump across the network or send a memory dump over the Internet, always use a secure file-transfer mechanism to guard against the file being compromised by a malicious user.
  • In computers with 8 or more processors that have the maximum amount of RAM installed, you might be able to gain some incremental performance improvement by splitting the paging file into multiple paging files. Each paging file must be on a separate physical disk and for reliability, each disk must be part of a hardware RAID-5 volume. For more information about changing the size of the virtual memory paging file, see Related Topics.
  • You can save memory by clearing the Write an event to the system log and Send an administrative alert check boxes. The memory saved depends on the computer, but these features typically require about 60 KB to 70 KB.
  • If you contact Microsoft Product Support Services about a Stop error, they might ask for the memory dump file created when the Stop error occurred.


Perform a local or remote shutdown

Microsoft Windows graphic

To perform a local or remote shutdown

  1. XOX
  2. In the console tree, right-click Computer Management (Local) , and then click Properties.
  3. On the Advanced tab, click Startup and Recovery.
  4. Click Shut Down to open the Shut Down dialog box.
  5. Under Action, select the actions you want to perform on the computer to which you are connected.
  6. Under Force Apps Closed, select the circumstances under which you want to force applications to close when you shut down or restart the computer, and then click OK.

Notes

  • XOX
  • XOX
  • To perform this procedure on a remote computer, right-click Computer Management (Local), click Connect to another computer, select Another computer, and then type in the name of the remote computer. You can then follow the steps in this procedure, starting at step 2, and substituting Computer Management (remote computername) for Computer Management (Local). You must be a member of the Administrators group, or you must have been delegated the appropriate authority, on the computer that you specify for remote computername.


Concepts

  • System Properties Overview


System Properties overview

System Properties is a Windows Management Instrumentation (WMI) tool you access through Computer Management. Using System Properties, you can view and change system properties on a local computer or remote computer.

For more information about WMI, see Windows Management Instrumentation overview.

You can also view and change system properties on a local computer by accessing System in Control Panel. This is a separate tool that enables you to perform additional tasks on your local computer, but does not enable you to view or change system properties on a remote computer. For more information see System Properties overview.